<?php

function limelight_metaboxes_init() {
	$metaboxes = new Limelight_Meta_Boxes();
}
add_action( 'init', 'limelight_metaboxes_init', 0 );

require_once 'meta-framework.php';

/**
*
*/
class Limelight_Meta_Boxes extends Limelight_Meta_Framework
{
	function __construct()
	{
		parent::__construct();
	}

	protected function get_metaboxes(){
		return array(
			'limelight_options' => array(
				'title' 	=> __('Limelight Options', 'limelight'),
				'context' 	=> 'side',
				'priority' 	=> 'low'
			),
		);
	}

	protected function get_fields() {
		return array(
			'limelight_options' => array(
				'layout' 	=> array(
					'callback' => array($this, 'post_layout_callback')
				)
			)
		);
	}

	public function post_layout_callback( $args, $current_val ){
		?>
			<label for="limelight_options[layout]">Layout</label><br/>
			<select id="limelight_options[layout]" name="limelight_options[layout]">
				<?php foreach ( limelight_get_layouts() as $key => $layout ): ?>
					<option value="<?php echo $key; ?>" <?php selected( $current_val, $key ); ?>><?php echo $layout; ?></option>
				<?php endforeach; ?>
			</select>
		<?php
	}
}

?>