<?php
	global $theme_settings;
	$attachment_ids = $theme_settings['slider']['slides'];

	if( !is_front_page() || (bool) $theme_settings['slider']['disable_slider'] || !$attachment_ids )
		return;

	wp_enqueue_script( "limelight-owl-carousel" );

	$attachment_ids = explode(',', $attachment_ids);
	$attachment_ids = array_map('trim', $attachment_ids);
	$attachment_ids = array_map('intval', $attachment_ids);

	$args = array(
		'posts_per_page' 	=> -1,
		'post_type' 		=> 'attachment',
		'post__in' 			=> $attachment_ids
	);

	$slider_images = get_posts( $args );
?>
<div class="wrap">
	<div class="home-slider limelight-slider">
		<?php foreach( $slider_images as $slider_image ): ?>
			<div class="home-slide-container">
				<?php
					$meta       = wp_get_attachment_metadata( $slider_image->ID );
					$upload_dir = wp_upload_dir();
					$image_src  = trailingslashit( $upload_dir['baseurl'] ) . $meta['file'];
				?>
				<img class="home-slide" src="<?php echo $image_src; ?>" />
				<?php if( $slider_image->post_excerpt ): ?>
					<p class="slide-caption"><?php echo $slider_image->post_excerpt; ?></p>
				<?php endif; ?>
			</div>
		<?php endforeach; ?>
	</div>
</div>